/* wanderingpiper.com css */

html {
  font-size: 62.5%;
}
.comment {
  display:none;
}
.border { /* for layout tests */
  border:2px solid red;
}
body {
  background-image: url("../images/bg-kennedy.jpg");
  background-repeat: repeat;
  padding: 3.6em 0.8em 0 0.8em; /* Move down content because navbar is 50px tall */
  font-family: "roboto", sans-serif !important;
  font-size: 14px;
  font-size: 1.4rem; 
}
h1 {
  font-size: 2.2em;
}
h2 {
  font-size: 1.5em;
}
h3 {
  font-size: 1.2em;
}

h1.script {
  font: 400 120px/1.0 'Great Vibes', Helvetica, sans-serif;
  color: #fff;
  text-shadow: 4px 4px 3px rgba(0,0,0,0.2); 
}
h2.script {
  font: 400 80px/0.8 'Great Vibes', Helvetica, sans-serif;
  color: #fff;
  text-shadow: 3px 3px 3px rgba(0,0,0,0.4); 
}
h3.script {
  font: 400 50px/0.8 'Great Vibes', Helvetica, sans-serif;
  color: #fff;
  text-shadow: 3px 3px 3px rgba(0,0,0,0.2); 
}

h1.text-title {
  color:blue; 
  text-shadow: 4px 4px 3px rgba(0,0,0,0.4); 
  font-size:calc(1.2rem + 4vw);
  font-weight: bold;
  text-align: center;
}
h1.lg {
  font: 400 50px/0.8 Helvetica, sans-serif;
  color: #fff;
  text-shadow: 3px 3px 3px rgba(0,0,0,0.4); 
}
h1.sm {
  font: 400 30px/1.0 Helvetica, sans-serif;
  color: #fff;
  text-shadow: 3px 3px 3px rgba(0,0,0,0.4); 
}

/* Special bagpipe bullet for bulleted list */
ul.bagpipe li {
  list-style-image: url('../images/bits/bag_bullet.gif');
  margin-left: 3rem;
}

.left{
  text-align: left;
}

.center{
  text-align: center;
}

.right{
  text-align: right;
}

.indent-1 {
  padding-left: 2rem;">
}
.indent-2 {
  padding-left: 4rem;">
}
.indent-3 {
  padding-left: 6rem;">
}

/* Navigation bar */
.container nav.desk,
.container nav.mob{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 5rem;
  box-shadow: 0 0.2rem 0.2rem 0 rgba(0, 0, 0, 0.24);
  background: #000;
  z-index: +9999;
}
 
nav.desk ul {
  list-style: none;
  width: 100%;
  height: 5rem;
  margin: 0 auto;
  font-size: 0.72rem;
}
  li ul {
    display: none;
}
 
nav.desk ul li {
  width: 18%;
  display: block;
  position: relative;
  float: left;
  text-align: center;
  line-height: 5rem;
  text-transform: uppercase;
  cursor: pointer;
  transition: all 0.2s ease;
}

nav ul li,
nav ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 1.9rem;
  display: block;
  width: 100%;
}
nav.mob ul li,
nav.mob ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 1.6rem;
  line-height: 2rem;
  display: block;
  width: 100%;
}
 
nav.desk ul li a:hover {
  color: yellow;
}

nav.desk ul li:hover,
nav.mob ul li:hover {
  background-color: #a3ada5;
}
nav.desk ul li ul li:hover {
  background-color: #515a5a;
}
nav.desk li:hover ul{
  display: block;
  position: absolute;
  background: #202020;
  width: 100%;
}
nav.desk li:hover li {
  float: none;
  width:100%;
  background: #202020;
}

nav.desk ul .active,
nav.mob ul .active {
  color: #00ff00;
  font-weight: bold;
}

nav.mob,
.hamburger-btn {
  display: none;
}

@media screen and (max-width: 959px) {
  nav.desk {
    display: none;
  }
   nav.mob,
  .hamburger-btn {
    display: block;
  }
   .hamburger-btn {
    position: relative;
  }
  .hamburger-btn .fa-bars,
  .hamburger-btn .fa-times {
    position: fixed;
    right: 25px;
    top: 12px;
    font-size: 2.5rem;
    color: #fff;
    cursor: pointer;
  }
nav.mob ul li,
nav.mob ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 1.6rem;
  line-height: 1rem;
  display: block;
  width: 100%;
}
    .mob ul{
    margin-top: 5.0rem;
    background: #364a4b;
    display: none;
    width: 100%;
    margin-left: auto;
    margin-top: 5rem;
  }
   .mob li {
    text-align: center;
    padding: 1.0rem;
    text-transform: uppercase;
    cursor: pointer;
    color: yellow;
  }
   .mob li a {
    text-transform: uppercase;
    cursor: pointer;
    color: #fff;
    display: block;
    width: 100%;
  }
  .mob ul.active {
    display: block;
  }
}

.navbar-logo{
  float: left;
}
.navbar-logo img{
  height: 4.5rem;
  padding: 0.5rem 0 0 1.0rem;
}
nav ul.icon img {
  display:inline-block;
  max-width:5rem;
  float:left;
}

@media (min-width: 768px) {
  .navbar-nav {
    float: left;
    margin: 0;
  }
  .navbar-nav > li {
    float: left;
  }
  .navbar-nav > li > a {
    padding-top: 1.5rem;
    padding-bottom: 1.0rem;
  }
}

.navbar-inverse .navbar-nav > .active > a,
.navbar-inverse .navbar-nav > .active > a:hover,
.navbar-inverse .navbar-nav > .active > a:focus {
  color: #00ff00;
  background-color: #080808;
}

.footer-wp{ 
  padding: 1em 1em; 
  margin: 0rem -1.5rem 0rem -1.5rem;
  text-align: center;
}
.footer-contact {
  text-align: center;
  margin:0 auto;
  width: 50%;
  line-height: 1em;
}
div footer-p1, footer-p2 {
  font-size: 90%;
  color: #777;
  }
  footer-p1:before {
    content:"Serving Chelsea, Jackson, Lansing, Ann Arbor, Detroit, and the surrounding SE Michigan area for weddings, parties, anniversaries, graduations, banquets, funerals, and all special occasions.";
  }
  footer-p2:before {
    content:"\00a9  2015-2026 Thomas Martin Kennedy";
}

#background-wed-top {
background: linear-gradient(to right, #ffffff 50%, #c6c6ec 100%);
    }
#background-wed-left {
  background-image: url(../images/bg-florist-left.jpg);
  background-position: top;
  background-repeat: repeat-y;
  background-size: 100%;
}
#background-wed-rgt {
  background-image: url(../images/bg_florist_top_rgt.jpg), url(../images/bg_florist_rgt.jpg);
  background-position: top, top;
  background-repeat: no-repeat, repeat-y;
  background-size: 100%, 100%;
}

#cycler{position:relative;
}
#cycler img{position:absolute;
  z-index:1
}
#cycler img.active{z-index:9;
}

rd{color:red;}
or{color:orange;}
go{color:gold;}
ye{color:yellow;}
ly{color:lightyellow;}
gn{color:green;}
bu{color:blue;}
vi{color:violet;}
bn{color:brown;}
cy{color:cyan;}
lm{color:lime;}
ma{color:maroon;}
te{color:teal;}
gy{color:grey;}
wh{color:white;}

it{font-style:italic;}

.containr-0pad {
  padding-right: 0rem;
  padding-left: 0rem;
  margin-right: auto;
  margin-left: auto;
}
.containr-15pad {
  width: 85%;
  padding-right: .5rem;
  padding-left: .5rem;
  margin-right: auto;
  margin-left: auto;
}
@media (min-width: 768px) {
  .containr-0pad containr-15pad {
    width: 75rem;
  }
}
@media (min-width: 992px) {
  .containr-0pad containr-15pad {
    width: 97rem;
  }
}
@media (min-width: 1200px) {
  .containr-0pad  containr-15pad {
    width: 117rem;
  }
}

.fixed_image {
  /* The image used */
  background: url('../images/hero-main-1600.jpg'); 
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  background-attachment: fixed;
  height: 80vh;
  overflow: hidden;
  line-height:2em;
}

ul.container {
  text-align: left;
  margin-left: auto;
  margin-right: auto;
  width: 60%;
  list-style-type: none;
  padding: 0;
}
/* Slideshow Container styles */
.image-container {
    position: relative;
    width: 320px;
    height: 448px;
        }
/* Slideshow Image styles */
.images {
    position: absolute;
    width: 100%;
    height: 100%;
    transition: opacity 1s ease-in-out; /* Smooth fade transition */
    opacity: 1; /* Initially visible */
}

.fadein-img {
  opacity: 0.5;
}
.animate {
  -webkit-transition: 2s;
  transition: 2s;
  opacity: 1;
}

.img-100{
  max-width: 100%;
}
.img-50{
	max-width: 50%;
}
.img-center{
	margin: 0 auto;
}


.img-mob{
  display: none;
}
@media only screen and (max-width:550px){
  .img-desk{
    display: none;
  }
  .img-mob{
    display: block;
  }
  nav.mob ul li,
  nav.mob ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 1.6rem;
    line-height: 2rem;
    display: block;
    width: 100%;
  }
}

.text-mob{
  display: none;
}
@media only screen and (max-width:550px){
  .text-desk{
    display: none;
  } 
  .text-mob{
    display: block;
  }
}

.txt-link{
  color:#337ab7;
  text-align:center;
}
.nowrap {
  white-space: nowrap;
  word-break: keep-all;
}

.pic-2-col{
  width: 80%; 
  margin: 2.5rem 0rem 1.5rem 0rem; 
  padding: 0.2rem;
  border: 1rem solid white;
  background-color: black;
  box-shadow: 0.5rem 1.0rem #444;
}
.img-2-col{
  width: 90%; 
  margin: 2.5rem 0rem 1.5rem 0rem; 
  padding: 0.2rem;
}
.img-rot-m5{
  transform: rotate(-5deg); 
}
.img-rot-m4{
  transform: rotate(-4deg); 
}
.img-rot-m3{
  transform: rotate(-3deg); 
}
.img-rot-m2{
  transform: rotate(-2deg); 
}
.img-rot-m1{
  transform: rotate(-1deg); 
}
.img-rot-p1{
  transform: rotate(1deg); 
}
.img-rot-p2{
  transform: rotate(2deg); 
}
.img-rot-p3{
  transform: rotate(3deg); 
}
.img-rot-p4{
  transform: rotate(4deg); 
}
.img-rot-p5{
  transform: rotate(5deg); 
}

table.resp-table {
	width:100%;
	background-color:white;
}
.resp-tableheader {
	background-color:green;
	color:yellow;
	font-weight:bold;
}
.resp-table td {
	padding:4px;
	cursor:text;
	border:1px blue solid;
}
.resp-table td:hover  {
	background-color:gray;
	color:white;
}
.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: #e6e6e6;  
}

.video-responsive{
    overflow:hidden;
    padding-bottom:56.25%;
    position:relative;
    height:0;
}
.video-responsive-iframe{
    left:0;
    top:0;
    height:100%;
    width:100%;
    position:absolute;
}
.horizontal-rule {
  border-top: .2rem solid blue;
  width:30%;
  margin-left:35%;
  margin-bottom:1rem;
}
.form {
  background: -webkit-linear-gradient(bottom, #CCCCCC, #EEEEEE 175px);
  background: -moz-linear-gradient(bottom, #CCCCCC, #EEEEEE 175px);
  background: linear-gradient(bottom, #CCCCCC, #EEEEEE 175px);
  padding: 10px;
  border: 1px solid #999;
  border: inset 1px solid #333;
  -webkit-box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.3);
  box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.3);
}

/* Honeypot Styles (use non "honeypot" term in case bots recognize it) */
.ambushment {
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  height: 0;
  width: 0;
  z-index: -1;
}

/* test stuff */
  @media only screen and (max-device-width:768px){
    .test768 {
      display:none;
    }
  }
  
.play-button {
  background-image: url(../images/bits/play-pause.jpg);
  background-size: cover;
  height: 12px;width:15px;
  border:none;
  }